automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Patch: new test case


From: Tom Tromey
Subject: Patch: new test case
Date: 21 Jul 2001 17:11:31 -0600

I'm checking this in.
It tests for a recently reported bug.

Tom

Index: ChangeLog
from  Tom Tromey  <address@hidden>
        * tests/Makefile.am (TESTS): Added substtart.test.
        (XFAIL_TESTS): Likewise.
        * tests/substtarg.test: New file.

Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.327
diff -u -r1.327 Makefile.am
--- tests/Makefile.am 2001/07/21 19:34:32 1.327
+++ tests/Makefile.am 2001/07/21 22:45:11
@@ -1,6 +1,6 @@
 ## Process this file with automake to create Makefile.in
 
-XFAIL_TESTS = subdir5.test
+XFAIL_TESTS = subdir5.test substtarg.test
 
 TESTS =        \
 acinclude.test \
@@ -270,6 +270,7 @@
 subobj7.test \
 subobj8.test \
 subst.test \
+substtarg.test \
 suffix.test \
 suffix2.test \
 suffix3.test \
Index: tests/Makefile.in
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.in,v
retrieving revision 1.427
diff -u -r1.427 Makefile.in
--- tests/Makefile.in 2001/07/21 19:34:32 1.427
+++ tests/Makefile.in 2001/07/21 22:45:11
@@ -66,7 +66,7 @@
 _am_quote = @_am_quote@
 install_sh = @install_sh@
 
-XFAIL_TESTS = subdir5.test
+XFAIL_TESTS = subdir5.test substtarg.test
 
 TESTS = \
 acinclude.test \
@@ -336,6 +336,7 @@
 subobj7.test \
 subobj8.test \
 subst.test \
+substtarg.test \
 suffix.test \
 suffix2.test \
 suffix3.test \
Index: tests/substtarg.test
===================================================================
RCS file: substtarg.test
diff -N substtarg.test
--- /dev/null   Tue May  5 13:32:27 1998
+++ tests/substtarg.test Sat Jul 21 15:45:12 2001
@@ -0,0 +1,34 @@
+#! /bin/sh
+
+# Test that substitutions in variables work.
+# From Lars J. Aas.
+
+. $srcdir/defs || exit 1
+
+cat > configure.in << 'END'
+AC_INIT(fakelib.c)
+AM_INIT_AUTOMAKE(fakelib,0.0)
+AC_PROG_CC
+RANLIB=:
+AC_SUBST(RANLIB)
+SUBST=hei
+AC_SUBST(SUBST)
+AC_OUTPUT(Makefile)
+END
+
+cat > Makefile.am << 'END'
+noinst_LIBRARIES = address@hidden@.a
+
address@hidden@_a_SOURCES = abra.c kadabra.c
+
+# then we override the target rule:
address@hidden@.a: Makefile $(address@hidden@_a_OBJECTS) 
$(address@hidden@_a_DEPENDENCIES)
+       @echo here we do some custom stuff, instead of invoking the linker
+END
+
+set -e
+
+$ACLOCAL
+$AUTOMAKE
+num=`grep 'address@hidden@.a:' Makefile.in | wc -l`
+test $num -eq 1



reply via email to

[Prev in Thread] Current Thread [Next in Thread]